diff --git a/src/bin/pg_basebackup/receivelog.c b/src/bin/pg_basebackup/receivelog.c
index 55f3d7f..0f1adb3 100644
--- a/src/bin/pg_basebackup/receivelog.c
+++ b/src/bin/pg_basebackup/receivelog.c
@@ -367,16 +367,26 @@ CheckServerVersionForStreaming(PGconn *conn)
 	minServerMajor = 903;
 	maxServerMajor = PG_VERSION_NUM / 100;
 	serverMajor = PQserverVersion(conn) / 100;
-	if (serverMajor < minServerMajor || serverMajor > maxServerMajor)
+	if (serverMajor < minServerMajor)
 	{
 		const char *serverver = PQparameterStatus(conn, "server_version");
 
-		fprintf(stderr, _("%s: incompatible server version %s; streaming is only supported with server version %s\n"),
+		fprintf(stderr, _("%s: incompatible server version %s; streaming is not supported with server versions older than %s\n"),
 				progname,
 				serverver ? serverver : "'unknown'",
 				"9.3");
 		return false;
 	}
+	else if (serverMajor > maxServerMajor)
+	{
+		const char *serverver = PQparameterStatus(conn, "server_version");
+
+		fprintf(stderr, _("%s: incompatible server version %s; streaming is not supported with server versions newer than %s\n"),
+				progname,
+				serverver ? serverver : "'unknown'",
+				PG_VERSION);
+		return false;
+	}
 	return true;
 }
 
